function::sprint_ustack
Prev | Chapter 2. Context Functions | Next

## Name

function::sprint_ustack — Return stack for the current task from string.

## Synopsis

        sprint_ustack:string(stk:string)

## Arguments

`stk`

  String with list of hexadecimal addresses for the current task.

## Description

Perform a symbolic lookup of the addresses in the given string, which is assumed to be the result of a prior call to `ubacktrace` for the current task.

Returns a simple backtrace from the given hex string. One line per address. Includes the symbol name (or hex address if symbol couldn't be resolved) and module name (if found). Includes the offset from the start of the function if found, otherwise the offset will be added to the module (if found, between brackets). Returns the backtrace as string (each line terminated by a newline character). Note that the returned stack will be truncated to MAXSTRINGLEN, to print fuller and richer stacks use print_ustack.

## NOTE

it is recommended to use `sprint_usyms` instead of this function.

Prev | Up | Next
function::sprint_ubacktrace | Home | function::sprint_usyms